﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using LayoutManagerIssue.Models;

namespace LayoutManagerIssue.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            ChartModel[] charts = {
                new ChartModel { Name="Column",Control="ColumnChart" },
                new ChartModel { Name="Bar",Control="BarChart" }
            };

            return View(charts);
        }
        public IActionResult BarChart()
        {
            var viewModel = new PopulationViewModel
            {
                //IEnumerable of Customer Objects
                Data = GetCustomers()
            };

            return View(viewModel);
        }
        public IActionResult ColumnChart()
        {
            var viewModel = new PopulationViewModel
            {
                //IEnumerable of Customer Objects
                Data = GetCustomers()
            };

            return View(viewModel);
        }


        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }

        private IEnumerable<PopulationRecord> GetCustomers()
        {

            {
                //  _points = new List<GraphPoint>();

                var _points = new List<PopulationRecord>
                {
                    new PopulationRecord
                        {
                            CountryName = "China",
                            Pop1995 = 1216,
                            Pop2005 = 1297,
                            Pop2015 = 1361,
                            Pop2025 = 1394
                        },
                    new PopulationRecord
                        {
                            CountryName = "India",
                            Pop1995 = 920,
                            Pop2005 = 1090,
                            Pop2015 = 1251,
                            Pop2025 = 1396
                        },
                    new PopulationRecord
                        {
                            CountryName = "United States",
                            Pop1995 = 266,
                            Pop2005 = 295,
                            Pop2015 = 322,
                            Pop2025 = 351
                        },
                    new PopulationRecord
                        {
                            CountryName = "Indonesia",
                            Pop1995 = 197,
                            Pop2005 = 229,
                            Pop2015 = 256,
                            Pop2025 = 277
                        },
                    new PopulationRecord
                        {
                            CountryName = "Brazil",
                            Pop1995 = 161,
                            Pop2005 = 186,
                            Pop2015 = 204,
                            Pop2025 = 218
                        },
                                        new PopulationRecord
                        {
                            CountryName = "China",
                            Pop1995 = 1216,
                            Pop2005 = 1297,
                            Pop2015 = 1361,
                            Pop2025 = 1394
                        },
                    new PopulationRecord
                        {
                            CountryName = "India",
                            Pop1995 = 920,
                            Pop2005 = 1090,
                            Pop2015 = 1251,
                            Pop2025 = 1396
                        },
                    new PopulationRecord
                        {
                            CountryName = "United States",
                            Pop1995 = 266,
                            Pop2005 = 295,
                            Pop2015 = 322,
                            Pop2025 = 351
                        },
                    new PopulationRecord
                        {
                            CountryName = "Indonesia",
                            Pop1995 = 197,
                            Pop2005 = 229,
                            Pop2015 = 256,
                            Pop2025 = 277
                        },
                    new PopulationRecord
                        {
                            CountryName = "Brazil",
                            Pop1995 = 161,
                            Pop2005 = 186,
                            Pop2015 = 204,
                            Pop2025 = 218
                        },
                                        new PopulationRecord
                        {
                            CountryName = "China",
                            Pop1995 = 1216,
                            Pop2005 = 1297,
                            Pop2015 = 1361,
                            Pop2025 = 1394
                        },
                    new PopulationRecord
                        {
                            CountryName = "India",
                            Pop1995 = 920,
                            Pop2005 = 1090,
                            Pop2015 = 1251,
                            Pop2025 = 1396
                        },
                    new PopulationRecord
                        {
                            CountryName = "United States",
                            Pop1995 = 266,
                            Pop2005 = 295,
                            Pop2015 = 322,
                            Pop2025 = 351
                        },
                    new PopulationRecord
                        {
                            CountryName = "Indonesia",
                            Pop1995 = 197,
                            Pop2005 = 229,
                            Pop2015 = 256,
                            Pop2025 = 277
                        },
                    new PopulationRecord
                        {
                            CountryName = "Brazil",
                            Pop1995 = 161,
                            Pop2005 = 186,
                            Pop2015 = 204,
                            Pop2025 = 218
                        }
                };
                return _points;
            }
        }
    }
}